kipi-plugins-trinity (0.1.6-0ubuntu1) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kipi-plugins-trinity (0.1.5-0ubuntu4) intrepid; urgency=low

  * Moved KDE3 to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 05 March 2009 19:52:00 -0600

kipi-plugins-trinity (0.1.5-0ubuntu1) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sat, 07 Feb 2009 20:17:00 -0600

kipi-plugins (0.1.5-1) unstable; urgency=low

  * New upstream release

  [ Mark Purcell ]
  * Change Build-Depends: libgpod-nogtk-dev
     - kipi-plugins should depend on libgpod3-nogtk (Closes: #457835)

  [ Achim Bohnet]
  * Bump Standards-Version to 3.7.3. No changes necessary
  * Build with --as-needed flag
  * Bump libkdcraw build dependency to 0.1.4.
    RawConverter relies on new libkdcraw3 API
  * debian/control: VCS-Browser URL: show svn log, not svn directory listing
  * Drop relibtoolization patches:
    + 01_admin_cleanup.diff
    + 02_autotools_update.diff
    + 03_libtool_update.diff
    + 04_am_maintainer_mode.diff
    + 05_pedantic-errors.diff
    + 06_disable_no_undefined.diff
    + 98_buildprep.diff
    instead LDFLAGS="-Wl,--as-needed"
  * drop 40_fix_ipod_export_linking.diff: No longer required
  * Update build-dep:
    + remove automake: not needed
    + remove libexif-dev: replaced upstream by libexiv2-dev
  * Cherry pick fixes from SVN:
    + 40_kdesvn786355_timeadjusst_fix_filestat.diff
    + 40_kdesvn786363_timeAdjust_update_DateTimeOriginal.diff
    + 40_kdesvn786549_99_rawDecoding_jpeg_compression.diff
    Thx to upstream for pointing me to those patches.

  [ Fathi Boudra ]
  * Update copyright file
  * Add myself in Uploaders field
  * Remove Paul Telford from Uploaders field
  * Refresh patches. Drop 99_configure_relibtool hack
  * Bump compat to 5
  * Bump debhelper to 5
  * Use Homepage field
  * Clean up watch file

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 25 Mar 2008 22:39:26 +0100

kipi-plugins (0.1.5~beta1-3) experimental; urgency=low

  * Add Build-Depends: libltdl3-dev
    - kipi-plugins_0.1.5~beta1-2(alpha/experimental): FTBFS:
    /usr/lib/libltdl.la: No such file or directory (Closes: #448429)

 -- Mark Purcell <msp@debian.org>  Tue, 30 Oct 2007 23:28:39 +0000

kipi-plugins (0.1.5~beta1-2) experimental; urgency=low

  * Add Build-Depends: automake
    - kipi-plugins_0.1.5~beta1-1(hppa/experimental): FTBFS: ./configure:
    No such file or directory (Closes: #446675)

 -- Mark Purcell <msp@debian.org>  Thu, 25 Oct 2007 21:20:02 +0100

kipi-plugins (0.1.5~beta1-1) experimental; urgency=low

  * New upstream release
    - New Plugin PicasaWebExport
      . kipi-plugins with PicasaWeb support (Closes: #444797)
    - PrintWizard enhancements
    - SlideShow drop Build-Depends: libimlib2-dev

 -- Mark Purcell <msp@debian.org>  Fri, 12 Oct 2007 20:04:00 +0100

kipi-plugins (0.1.4-1) unstable; urgency=low

  * New upstream release

  [ Achim Bohnet ]
  * remove 'da' and 'pt' from kipi-pluigns-doc long description.
    Danish and Portuguese docs not included in this version.
  * update debian/copyright

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 03 Jul 2007 14:10:23 +0100

kipi-plugins (0.1.4~beta2-1) experimental; urgency=low

  * New upstream release
    - beta releases to experimental

  [ Achim Bohnet ]
  * add new build dependencies: libkdcraw-dev >= 0.1.1 and libkcal-dev
  * relibtoolization: Dependencies drop from 35 to 21
    + debian/patches/03_libtool_update.diff: updated from common-patches
    + debian/patches/02_autotools_update.diff: deleted no longer necessary
    regenerated with create-buildprep2:
    + debian/patches/98_buildprep.diff
    + debian/patches/98_configure.diff
  * cleanup debian/rules clean target: debian/patches/space.png.tar.gz.uu not
    longer included

  [ Mark Purcell ]
  * Patches removed as included upstream:
     50_libkexiv2-0.patch
     50_libkexiv2-1.patch
     50_libkexiv2-2.patch
     15_kdesvn_655231_fix-gallery-2.2-export.diff
     Bug#417297-GCC4.3.diff

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 26 Jun 2007 23:28:36 +0100

kipi-plugins (0.1.3-5) unstable; urgency=low

  [ Achim Bohnet ]
  * debian/control: set kipi-plugins-doc section to doc. Fixes override
    disparity on uploads.
  * Add debian/patches/15_kdesvn_655231_fix-gallery-2.2-export.diff
    Fixes export to gallery 2.2: http://bugs.kde.org/show_bug.cgi?id=142259
  * Add debian/patches/50_libkexiv2-{1,2,3}.patch:  Fixes FTBFS with
    libexiv2 0.14.  This adds also a build dependency on libkexiv2-dev
    >=0.1.5.  Thx to Angelo Naselli <anaselli@linux.it> for the patches.
    - FTBFS: error: request for member 'c_str' in '((Exiv2::Error*)e)-
    >Exiv2::Error::what()', which is of non-class type 'const char*'
    (Closes: #423783)
  * debian/changelog: Fix XS-Vcs-* packaging now done on trunk.

  [ Mark Purcell ]
  * Include gcc4.3 patch from Martin (Closes: #417297)
  * Include icedove patch from Gonéri (Closes: #410479)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Thu, 17 May 2007 17:17:05 +0100

kipi-plugins (0.1.3-4) unstable; urgency=low

  [ Mark Purcell ]
  * Recommends: mpg123 (Closes: #397122: kipi-plugins: MPEGEncoder
    require mpg123 to mux audio)
  * Upload to unstable - relax version Depends on libgpod-dev
    - Ipod plugin won't be built until unstable has libgpod-dev (>= 0.4.2)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Mon, 02 Apr 2007 18:36:16 +0100

kipi-plugins (0.1.3-3) experimental; urgency=low

  [ Achim Bohnet ]
  * Merge all kubuntu changes (all by Anthony Mercatante <tonio@ubuntu.com>)
    + recommend graphicsmagick-imagemagick-compat instead of imagemagick
    + split kipi-plugins into kipi-plugins and kipi-plugins-doc

  * Long description: refer to -doc package. kipi-plugins-doc: list available
    translations
  * kipi-plugins suggests kipi-plugins-doc
  * kipi-plugins-doc:
    + suggest kipi-plugins instead of depending on it.
    + depend on khelpcenter for reading docs
  * add manpage and libkipiplugins library in kipi-plugins package.
  * remove ${shlibs:Depends} from architecture all -doc package
  * kipi-plugins-doc: add replaces: kipi-plugins (<= 0.1.3-1)
    so upgrading from kipi-plugins without the -doc split does not
    fail with  trying to overwrite `...`, which is also in package
    kipi-plugins
  * debian/rules: add utils.mk to make it easier to check package split
  * README.Debian: fix encoding: 8859-1 -> utf8

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 20 Feb 2007 00:40:51 +0100

kipi-plugins (0.1.3-2) experimental; urgency=low

  [ Achim Bohnet ]
  * add build-dep on libxslt1-dev. Required for htmlexport plugin.
  * Remove build-dep: libmagick++9-dev | libmagick++-dev.
    kipi-plugins needs only to the command line tools during runtime
  * remove recommends on dcraw. Kipi-plugins uses a copy installed
    as kipidcraw, due to dcraw upstream keeps breaking cli interface with
    each new release

  [ Mark Purcell ]
  * Build-Depends: libgpod-dev (>=0.4.2) - enable IpodExport plugin
  * debian/rules get-orig-source more robust

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 18 Feb 2007 20:21:37 +0000

kipi-plugins (0.1.3-1) experimental; urgency=low

  * New upstream release

  [ Achim Bohnet ]
  * Prepare support for ipodexport. Can't be enabled until libgpod 0.4.2
    is in experimental:
    + ipodexport fix for relibtoolization (KDE bug 140279):
      ipodexport is calling g_type_init() explicitely without linking 
      against libgobject-2.0: debian/patches/40_fix_ipod_export_linking.diff
  * remove patches/10_kdesvn_618170_Makefile.am_libs_used_only.diff and
    patches/30_kdesvn_625568_pod.patch. Included upstream.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Thu, 25 Jan 2007 21:34:40 +0100

kipi-plugins (0.1.3~rc1-1) experimental; urgency=low

  * new upstream release

  [ Mark Purcell ]
  * Update ./debian/rules get-orig-source for http://buildserver.net
  * IpodExport plugin will not build until libgpod > 0.4.0 is availble
    - however we can still add Build-Depends: libgpod-dev
  * Distribution experimental for libexiv2 (0.12) & rc1 version

  [ Achim Bohnet ]
  * debian/control:
    + Bump build-deps for libkipi to >= 0.1.5. and add exiv2 >= 0.12.
      Required according to release notes
    + remove libkexif build depencency replaced by exiv2
    + Set standards-version to 3.7.2. No changes necessary.
    + Add XS-Vcs-Svn and XS-Vcs-Browser fields
    + Update homepage URL to the new site: http://www.kipi-plugins.org/
  * remove patches/kbugs132659.diff.  Fix included in the upstream release.
  * debian/rules:
    + remove buildprep target. Included in kde.mk from cdbs now
    + add new new plugins to long description
    + order plugins list in long description as in README
    + avoid term 'plugins' in short description of the plugins
  * relibtoolization:
      add patches/10_kdesvn_618170_Makefile.am_libs_used_only.diff

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Fri, 29 Dec 2006 13:46:46 +0100

kipi-plugins (0.1.2-3) unstable; urgency=low

  [ Mark Purcell ]
  * Grab flickr API patch from upstream
    http://bugs.kde.org/show_bug.cgi?id=132659
    - Flickr upload fails (Closes: #385201)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 17 Sep 2006 14:11:10 +0100

kipi-plugins (0.1.2-2) unstable; urgency=low

  [ Mark Purcell ]
  * Add 420mpeg2.patch to set default chroma
    - MPEG Slideshow does not work with mjpegtools 1:1.8.0-0.0 from
    ftp.nerim.net (Closes: #344987)
    - mpegencoder: fails to create SVCD from album (Closes: #374340)
  * kipi-plugins(GNU/k*BSD): FTBFS: out of date libtool scripts (Closes:
    #343949)
  * Lintian cleanup: extended-description-line-too-long

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sat,  2 Sep 2006 12:03:27 +0100

kipi-plugins (0.1.2-1) unstable; urgency=low

  [ Tom Albers ] 
  * New upstream release (adds missing translations and a bugfix for
    sendimages plugin)
  * Updated the copyright file with the current maintainer.
  * Removed imagesgallery from copyright file, as that is replaced by 
    the htmlexport plugin.
  * Added myself as uploader.
  * Removed sharutils build-dep as patch 13 required it in the past, 
    but is removed.
  * Added konqueror as recommend because flickr-plugin needs it.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sat, 10 Jul 2006 18:25:00 +0200

kipi-plugins (0.1.1-3) unstable; urgency=low

  [ Achim Bohnet ]
  * added missing debian/98_buildprep.diff

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 27 Jun 2006 22:11:40 +0200

kipi-plugins (0.1.1-2) unstable; urgency=low

  * Build-Depends: libmagick++9-dev
    - FTBFS: No libmagick9++-dev package. (Closes: #375714)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 27 Jun 2006 20:32:54 +0100

kipi-plugins (0.1.1-1) unstable; urgency=low

  [ Mark Purcell ]
  * New upstream release
    - Delete: debian/patches/13_10_pull_from_upstreamsvn_from_r460242.diff
  * Add debian/rules print-version & get-orig-source targets
  * Recommends: kdeprint
  * Build-Depends: libmagick9++-dev | libmagick++-dev
  * Relibtoolize from /pkg-kde/trunk/common-patches/ for 3.5.2
      + patches/02_autotools_update.diff
      + patches/03_libtool_update.diff
      + patches/04_am_maintainer_mode.diff
      + patches/05_pedantic-errors.diff
  * Enhances: digikam, kimdaba, showimg, gwenview

  [ Achim Bohnet ]
  * remove space.png.tar.gz.uu: Included now in upstream
  * update relibtoolization patches:
      + 11_aclocal.m4_update.diff
      + 14_Makefile.am_use_only_used_libs.diff
      + 98_buildprep.diff
      + 99_configure_relibtool_hack.diff
  * cherry pick bug fixes from upstream
      + 20_kde_540632-540657_calendar_honour_start_of_week.diff
      + 21_kde_r541235_mpegencoder_rgb_value.diff

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Mon, 26 Jun 2006 23:26:27 +0100

kipi-plugins (0.1+rc1-3) unstable; urgency=low

  [ Achim Bohnet ]
  * add build-depends on sharutil so uudecode is available.
    uudecode is used to decode added PNG icons in debian/.  Fixes:
    FTBFS: uudecode: command not found. (Closes: #353072)
  * update 98_buildprep.diff

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Fri, 17 Feb 2006 00:59:14 +0100

kipi-plugins (0.1+rc1-2) unstable; urgency=low

  [ Achim Bohnet ]
  * relibtoolization:
      + use tools and patches of Debian Qt/KDE Team packages:
           patches/0*.diff
      + patches/03_libtool_update.diff: update to libtool 1.5.20-2
      + patches/06_aclocal_update.diff: this update gets trigger by the
        create-buildprep run
      + rules: add buildprep target for 98_buildprep.diff creation
      + patches/11_Makefile.am_use_only_used_libs.diff: list all libs
        which contain used symbols. Replace LIB_QT, IMLIB2_LIBS with
        -lqt-mt and -lImlib2, respectively, because the variables list
        libraries only used indirectly by the kipi-plugins
    Result: kipi-plugins now depends on 14 instead of 31 packages

  [ Tom Albers ]
  * added patches/13_10_pull_from_upstreamsvn_from_r460242.diff
    which is a complete pull from upstream svn since the release candidate.
    It consists some important fixes for printing and prevents a crash in 
    imagegallery. It also includes the new simpleviewerexport plugin.
  * added r501143 and r501136 to that patch, to make the new plugin work
    in konqueror and remove faulty flash detect lines

  [ Mark Purcell ]
  * Add debian/watch: sf.net kipi project will be used for
    future releases

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sat, 19 Nov 2005 21:22:11 +0100

kipi-plugins (0.1+rc1-1) unstable; urgency=low

  * New upstream release
  * Pkg now maintained by Debian KDE Extras Team

  [ Achim Bohnet ]
  * Now that the pkgs are build on all archs, fix build dependencies
     + kdelibs4-dev: remove version
     + libkexif1-dev (>= 0.2-1), libkipi0-dev (>= 0.1-1): (re)set
       versions to last API change. (Helps backporting.)
  * patches/01_rawconverter_dcraw7.0+trinity.4-fixes-from-head.diff removed.
    Fixed upstream

  [ Mark Purcell ]
  * Bump Suggests: to Recommends: these would be found together in all but
  unusual situations
    - kdeprinter - PrintWizard
    - kmail - SendImages
    - sane-utils - AcquireImages
    - k3b - CdArchiving
    - imagemagic - ConvertImages
    - kooka - AcquireImages
    - imagemagic - BorderImages/ ColorImages/ ConvertImages/ EffectImages/
    FilterImages
    - gimp - PrintWizard (Suggests:)
    - gallery - ImagesGallery (Suggests:)
    - dcraw - RawConverter
  * Include FlickRexport in debian/control & Copyrights
  * Fix old-fsf-address-in-copyright-file
  * CdArchiving does not function when 'Build CD HTML Interface' is
    selected (Closes: #328928)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sat, 24 Sep 2005 12:08:52 +0100

kipi-plugins (0.1+beta2-22) unstable; urgency=low

  * C++ transition package
  * Upgrade Build-Depends: kdelibs4-dev (>= 3.4.2-1), libkexif1-dev (>=
    0.2.1-5), libkipi0-dev (>= 0.1.1-3)

 -- Mark Purcell <msp@debian.org>  Sun, 21 Aug 2005 10:48:53 +0100

kipi-plugins (0.1+beta2-21) unstable; urgency=low

  * patches/01_rawconverter_dcraw7.0+trinity.4-fixes-from-head.diff
      rawconverter plugin broken.  dcraw changed interface
      somewhere in 5.xx series. Now plugin works again with
      5.88 in sarge and 7.02 in sid. (Closes: #306212)
  * remove mjpegtools (>= 1.6.0) from suggests. It's from
    'ftp://ftp.nerim.net/debian-marillat <dist> main'.

 -- Achim Bohnet <ach@mpe.mpg.de>  Thu, 14 Apr 2005 01:45:40 +0200

kipi-plugins (0.1+beta2-20) unstable; urgency=low

  * rebuild with libkexif1 dependency.  Therefore bump version
    to -20.  Incase the 'linked-against-libkexif0' on in debian
    needs bugfix uploads.

 -- Achim Bohnet <ach@mpe.mpg.de>  Thu, 10 Mar 2005 03:43:48 +0100

kipi-plugins (0.1+beta2-2) unstable; urgency=low

  * Initial upload (Closes: #280442)
  * debian/copyright: add Gerhard Kulzer to doc authors

 -- Achim Bohnet <ach@mpe.mpg.de>  Tue,  8 Mar 2005 20:50:39 +0100

kipi-plugins (0.1+beta2-1) unstable; urgency=low

  * new upstream beta release
  * long description: update homepage URL
  * debian/copyright: add a copy of libjpeg copy- and distribution
    rights
  * remove 00-remove-entity-rune-in-da-index-docbook.diff no
    longer needed (and disable simple-patchsys.mk in rules)

 -- Achim Bohnet <ach@mpe.mpg.de>  Mon, 14 Feb 2005 23:50:35 +0100

kipi-plugins (0.0.cvs20041212-1) unstable; urgency=low

  * include GFDL into debian/copyright

 -- Achim Bohnet <ach@mpe.mpg.de>  Mon, 20 Dec 2004 01:04:42 +0100

kipi-plugins (0.0.cvs20041212-0) unstable; urgency=low

  * cvs update: Fixes several bugs reported at bugs.kde.org
  * remove debian/changelog.save
  * use cdbs' simple-patchsys for patches
  * debian/patches/00-remove-entity-rune-in-da-index-docbook.diff
      remove undefined entity &rune.*.
  * add new GalleryExport to long description

 -- Achim Bohnet <ach@mpe.mpg.de>  Sun, 12 Dec 2004 14:01:01 +0100

kipi-plugins (0.0.cvs20041110-2) unstable; urgency=low

  * Initial upload (Closes: #280442)
  * Fix Makefile.in rebuilds:
    remove Makefile.in changes from diff and rebuild
    source tree vi tar x and zcat | patch

 -- Achim Bohnet <ach@mpe.mpg.de>  Thu, 11 Nov 2004 00:51:00 +0100

kipi-plugins (0.0.cvs20041110-1~kalyxo1) unstable; urgency=low

  * Initial upload (Closes: #280442)
  * new upstream release
  * add suggests for external tools:
      k3b, mjpegtools, imagemagick, dcraw

 -- Achim Bohnet <ach@mpe.mpg.de>  Wed, 10 Nov 2004 19:32:40 +0100

kipi-plugins (0.0.cvs20041018-1) experimental; urgency=low

  * added homepage URL to extended description

 -- Achim Bohnet <ach@mpe.mpg.de>  Sun, 17 Oct 2004 10:12:28 +0200

kipi-plugins (0.0.cvs20040921-2) experimental; urgency=low

  * control: remove final dot in short description to make
    lintian happy
  * add pkg-config to build-deps (now used upstream)

 -- Achim Bohnet <ach@mpe.mpg.de>  Tue, 21 Sep 2004 00:50:29 +0200

kipi-plugins (0.0.cvs20040824-2) experimental; urgency=low

  * use --enable-opengl because qt wind 3.3.2 load gl via dlopen
    and configure test does not find it anymore.

 -- Achim Bohnet <ach@mpe.mpg.de>  Wed, 25 Aug 2004 22:03:57 +0200

kipi-plugins (0.0.cvs20040726-1) experimental; urgency=low

  * cvs update 26-Jul-2004
  * add Replaces: digikam-plugins to prevent images2mpg clash

 -- Achim Bohnet <ach@mpe.mpg.de>  Mon, 26 Jul 2004 23:55:23 +0200

kipi-plugins (0.0.cvs20040721-1) experimental; urgency=low

  * Initial Release.
  * WARNING: experimental pkg

 -- Achim Bohnet <ach@mpe.mpg.de>  Wed, 21 Jul 2004 02:15:56 +0200

